Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class TopicsContextImpl

    java.lang.Object
      org.richfaces.application.push.TopicsContext
          org.richfaces.application.push.impl.TopicsContextImpl

Direct Known Subclasses:
  JMSTopicsContextImpl

    public class TopicsContextImpl

extends org.richfaces.application.push.TopicsContext

Author:
  Nick Belaevski

Constructor Summary
`TopicsContextImpl(ThreadFactory threadFactory)`

Method Summary
`protected org.richfaces.application.push.Topic` | `createTopic(org.richfaces.application.push.TopicKey key)`
`void` | `destroy()`
`protected ExecutorService` | `getPublisherService()`
`protected ThreadFactory` | `getThreadFactory()`

Methods inherited from class org.richfaces.application.push.TopicsContext
`getOrCreateTopic, getTopic, getTopicKeyWithResolvedExpressions, lookup, publish, removeTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopicsContextImpl

    public TopicsContextImpl(ThreadFactory threadFactory)

Method Detail

### createTopic

    protected org.richfaces.application.push.Topic createTopic(org.richfaces.application.push.TopicKey key)

  Specified by:
    `createTopic` in class `org.richfaces.application.push.TopicsContext`

### getPublisherService

    protected ExecutorService getPublisherService()

### getThreadFactory

    protected ThreadFactory getThreadFactory()

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.